# claim\_interface\_tez\_fee

An entrypoint that allows users to claim their interface (referral) fee. Will claim all available fee. Supports only withdrawing of TEZ tokens from the specific [Bucket](/smart-contracts/dex-2.0/bucket-contract.md) contract. To withdraw TEZ tokens use [***claim\_interface\_fee***](/smart-contracts/dex-2.0/dexcore-contract/entrypoints-overview/dex-entrypoints/claim_interface_fee.md) entrypoint.

### Call parameters

```pascaligo
type token_id_t         is nat

type claim_tez_fee_t    is [@layout:comb] record [
  pair_id                 : token_id_t;
  receiver                : address;
]
```

<table><thead><tr><th width="150">Field</th><th width="150">Type</th><th>Description</th></tr></thead><tbody><tr><td>pair_id</td><td>token_id_t (nat)</td><td>Identifier of the liquidity pool (pair)</td></tr><tr><td>receiver</td><td>address</td><td>Receiver of withdrawn tokens</td></tr></tbody></table>

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const dexCoreAddress = "KT1...";
const parmas = {
    pair_id: 0,
    receiver: "tz1.../KT1...",
};
const dexCore = await tezos.contract.at(dexCoreAddress);
const operation = await dexCore.methodsObject.claim_interface_tez_fee(parmas).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `108` - pair (pool) with the specified `token_id` not listed.
* `113` - a [Bucket](/smart-contracts/dex-2.0/bucket-contract.md) contract not found (not TOK/TEZ LP pair).
* `136` - reentrancy.
* `409` - TEZ tokens receiver contract not found (not user account or contract doesn't have a `default` entrypoint).
* `412` - non payable entrypoint (can't accept TEZ tokens during call of an entrypoint).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/dex-2.0/dexcore-contract/entrypoints-overview/dex-entrypoints/claim_interface_tez_fee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
